import type { INotifyCollectionChanged, INotifyCollectionReordered } from '../collections';
/**
 * Watches an observable collection for changes. The collection is the only hook dependency.
 * @template TObservableCollection The observable collection type.
 * @template TItem The type of items the collection contains.
 * @param observableCollection The collection to watch.
 * @returns Returns the provided observable collection.
 */
export declare function useObservableCollection<TObservableCollection extends INotifyCollectionChanged<TItem> | INotifyCollectionReordered<TItem> | null | undefined, TItem>(observableCollection: TObservableCollection): TObservableCollection;
