import type { INotifyMapChanged } from '../collections';
/**
 * Watches an observable map for changes. The map is the only hook dependency.
 * @template TObservableMap The observable map type.
 * @template TKey The type of keys the map contains.
 * @template TItem The type of items the map contains.
 * @param observableMap The map to watch.
 * @returns Returns the provided observable map.
 */
export declare function useObservableMap<TObservableMap extends INotifyMapChanged<TKey, TItem> | null | undefined, TKey, TItem>(observableMap: TObservableMap): TObservableMap;
