import type { INotifyPropertiesChanged } from './INotifyPropertiesChanged';
/**
 * Checkes whether the provided instance is a view model (implements {@linkcode INotifyPropertiesChanged}).
 * @template TViewModel The type of view model to check, defaults to {@linkcode INotifyPropertiesChanged}.
 * @param maybeViewModel The value to check if is a view model.
 * @returns Returns `true` if the provided instance implements {@linkcode INotifyPropertiesChanged}; otherwise `false`.
 */
export declare function isViewModel<TViewModel extends INotifyPropertiesChanged = INotifyPropertiesChanged>(maybeViewModel: any): maybeViewModel is TViewModel;
